ubuntu/+source/ndiswrapper:ubuntu/vivid-devel

Last commit made on 2014-03-19
Get this branch:
git clone -b ubuntu/vivid-devel https://git.launchpad.net/ubuntu/+source/ndiswrapper
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/vivid-devel
Repository:
lp:ubuntu/+source/ndiswrapper

Recent commits

bb60792... by Julian Andres Klode on 2014-03-19

Import patches-unapplied version 1.59-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1109f7bd99d3409e33ae18aa1f89a07b55980f4f

New changelog entries:
  * Only support modprobe.d (Closes: #724890)
  * debian/control: Set Standards-Version to 3.9.5
  * Recommend ndiswrapper-dkms in Ubuntu builds as well
  * kernel-3.14.patch: Add support for kernel 3.14

1109f7b... by Julian Andres Klode on 2013-12-27

Import patches-unapplied version 1.59-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ee0b9c4770b0a942d19c42ac2cfd4b0c798a0c52

New changelog entries:
  * Imported Upstream version 1.59
  * Drop unused patches and fixup the remaining ones

ee0b9c4... by Julian Andres Klode on 2013-08-04

Import patches-unapplied version 1.58-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cf010e5e6031383264d9027083c97f227b914a0a

New changelog entries:
  * Add Support for Kernel 3.10; patch by Canonical (Closes: #717152)
  * Update Ubuntu patch to re-add support for older kernels

cf010e5... by Julian Andres Klode on 2013-07-14

Import patches-unapplied version 1.58-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a9e0e7317e6b5274b0a6430c9d7d252c486dbcb8

New changelog entries:
  * Imported Upstream version 1.58 (Closes: #707665)
  * Use $KERNELRELEASE as target kernel version (Closes: #693638)
  * Add BUILT_MODULE_NAME to dkms config file (Workaround for: #690747)
  * Add support for kernel 3.9
  * Patch userland for 3.X kernels
  * Set Standards-Version to 3.9.4

a9e0e73... by Julian Andres Klode on 2012-03-05

Import patches-unapplied version 1.57-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 61e664a8bcb24a410cfd9467ff874e3c60b6de62

New changelog entries:
  * Imported Upstream version 1.57
    - Fixes build with kernel 3.2 (Closes: #655223, LP: #910597)
  * Enable hardening build flags (Closes: #655249)
  * patches/ndiswrapper-harden.patch: Use $(shell X) instead of `X`
  * Update to Policy 3.9.3, copyright-format 1.0

61e664a... by Julian Andres Klode on 2011-11-25

Import patches-unapplied version 1.57~rc1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bc6131ec5d298839196cec2d273026912ccdbec9

New changelog entries:
  * Imported Upstream version 1.57~rc1
    - Fixes build with newer kernel version (Closes: #650012)
  * Set Standards-Version to 3.9.2

bc6131e... by Julian Andres Klode on 2011-03-14

Import patches-unapplied version 1.56+r2729-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bdd44b4a51631f3bca862ac885da4778048da3f4

New changelog entries:
  * Imported Upstream version 1.56+r2729
    - Support for Kernels 2.6.36 - 2.6.38 (LP: #660664, Closes: #604880)
  * Drop patch for Linux 2.6.35, included in snapshot

bdd44b4... by Julian Andres Klode on 2010-09-13

Import patches-unapplied version 1.56-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 065188b070e185e5906acbbd63a92a4a795f3f62

New changelog entries:
  * Use a reworked and working Linux 2.6.35 support patch (LP: #613796)

065188b... by Julian Andres Klode on 2010-08-03

Import patches-unapplied version 1.56-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4455b0c3cc91f322c6385f62d55a7c5a78907b89

New changelog entries:
  * Only suggest ndiswrapper-dkms on Ubuntu
  * Add support for Linux 2.6.35 (LP: #590090)
  * Set Standards-Version to 3.9.1

4455b0c... by Julian Andres Klode on 2010-02-14

Import patches-unapplied version 1.56-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7f7537042266c56b5b5556b9b7608729ccaee0aa

New changelog entries:
  * Imported Upstream version 1.56
  * Drop all patches, they are shipped upstream now.
  * debian/ndiswrapper.8, debian/loadnsisdriver.8: Escape the "-".